Subject: Re: bi_record and initrd

From: Tom Rini <[email-masked]>
Date: Mon, 18 Nov 2002 10:13:58 -0700

On Mon, Nov 18, 2002 at 09:19:24AM +0100, Magnus Damm wrote:
> > This would be a good opportunity to switch-over to allowing the bootloader
> > stick the initrd where it wants and just pass the physical pointer in via
> > bi_record in all cases.  It would certainly simplify these cases.
>
> So, the following registers passed to the kernel could change from
>
>  *   r3: ptr to board info data
>  *   r4: initrd_start or if no initrd then 0
>  *   r5: initrd_end - unused if r4 is 0
>  *   r6: Start of command line string
>  *   r7: End of command line string

In arch/ppc/boot, only r3 is used now, FWIW.

> to
>  *   r3: ptr to bi_record

Or so, yes.  Look at the archives for discussions / flamewars about
bi_records.

> If the initrd is going to be passed with the bi_record, and the command line
> already is there, then it's just the board info left. (for the 8xx anyhow)

The initrd already is, right now.  And yes, the bd_t would be passed, or
phased out, see the above mentioned discussions / flamewars.

> Or maybe there are zillions of applications booting the kernel directly
> without the bootloader..

Something _always_ loads the kernel someplace.  Call it what you will,
but the thing moving the kernel to 0 and pressing go is the bootloader.
Oh, and see the above mentioned discissions / flamewars :)

--
Tom Rini (TR1265)
http://gate.crashing.org/~trini/

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/